Subject: Re: bug#42915: 27.1; Setting ns-function-modifier to control breaks control for certain keys

From: Alan Third <[email-masked]>
Date: Sat, 12 Jun 2021 14:13:47 +0100

On Sat, Jun 12, 2021 at 02:07:36PM +0100, Alan Third wrote:
> On Sat, Jun 12, 2021 at 02:49:58PM +0200, Lars Ingebrigtsen wrote:
> > Alan Third <[email-masked]> writes:
> > 
> > >> As far as I can tell, this only started happening after I updated to Emacs
> > >> 27. I was previously using this config with Emacs 26.3 and never saw this
> > >> issue. So I believe this is a new bug in Emacs 27.
> > >
> > > Can you please try the attached patch?
> > 
> > This was almost a year ago, but there was no response here.
> > 
> > > Subject: [PATCH] Handle fn + functions keys better on NS (bug#42915)
> > 
> > And as far as I can tell, this patch was never applied?  Alan, is this
> > something that should still go in?
> 
> I believe so. IIRC it fixed a real bug that was documented in a FIXME
> comment.

Actually, no, it looks like it's been applied in a different form.

Ryan, can you check whether Emacs 28 fixes the problem?
-- 
Alan Third